//
//    MARAUDER
//
//    mgr.h: sprite manager and collision detection
//
//    By Shawn Hargreaves, 1995.
//
//    C++ source code for djgpp, using the 
//    Allegro game programming library.


class spritemgr
{
    friend class alienmgr;
public:
    spritemgr();
    ~spritemgr();
    void move(int x);
    void draw(BITMAP *b, item *ship);
    void draw_radar(BITMAP *b, item *ship);
    item *add(item *addition, int x, int y);
    item *add(item *addition, item *avoid);
    void collision_check(item *item);
    void check_items(item *i1, item *i2);
    item *find_within(int x, int y, int distance);
    int get_count() { return count; }
protected:
    int alloc_size;
    int count;
    item **i;
};


